<?php
namespace Fiscal\Logic\Apuracoes\Exceptions;

class ExcecaoImpostosGerais extends \Fiscal\Logic\Exception
{
    private $messageName;

    public function __construct($messageName, $code = 0, \Exception $previous = null)
    {
        parent::__construct($messageName, $code, $previous);
        $this->messageName = $messageName;
    }
    /**
     * Retorna o nome da mensagem cadastrada no Setforms para esta excecao.
     *
     * @return string
     */
    public function getMessageName()
    {
        return $this->messageName;
    }

    public static function Validacao01(){
        throw new self ('msg_pbi00140_01'); //Nmero sequencial j existente para o Mapa selecionado.
    }

    public static function Validacao02(){
        throw new self ('msg_pbi00140_02'); //Valores divergentes.
    }

    public static function Validacao03(){
        throw new self ('msg_pbi00140_03'); //Valor do detalhamento  maior que o valor do imposto a recolher.
    }

    public static function Validacao04(){
        throw new self ('msg_pbi00140_04'); //Detalhamento no est completo.
    }

    public static function Validacao05(){
        throw new self ('msg_pbi00136_04'); //O mapa de apurao est bloqueado. Impossvel realizar alteraes.
    }
    
    public static function Validacao06(){
        throw new self ('msg_pbi00140_05'); //Cdigo de Obrigao no existente no detalhamento.
    }
    
    public static function Validacao07(){
        throw new self ('msg_pbi00140_06'); //No  possvel dar um crdito maior que o dbito.
    }
    
    public static function Validacao08(){
        throw new self ('msg_pbi00140_07'); //Apurao realizada com sucesso.
    }

    public static function Validacao09(){
        throw new self ('msg_pbi00140_08'); //Apurao no realizada.
    }
}