<?php
namespace Geral\Repositories;

class Curvaabc extends \Doctrine\ORM\EntityRepository
{

    CONST P_STATUS_N = 'N';
    CONST P_STATUS_T = 'T';


    /**
     * Retorna a quantidade de produtos inventariados.
     *
     * @param $filial
     * @param $nrorg
     * @param $almox
     * @param $local
     * @param $idCurva
     *
     * @return int
     */
    public function consultaQtdProdutosInventariados($filial, $nrorg, $almox, $local, $idCurva){
        $sql = "SELECT DISTINCT CDPRODUTO
                  FROM CURVAABC
                 WHERE CDFILIAL = :P_CDFILIAL
                   AND NRORG = :P_NRORG
                   AND CDALMOXARIFE = :P_CDALMOXARIFE
                   AND CDLOCALESTOQ = :P_CDLOCALESTOQ
                   AND IDMARCINVE = :P_STATUS_N
                   AND (IDCURVAABC = :P_CURVA OR :P_STATUS_T = :P_STATUS_T)
                 ORDER BY CDPRODUTO";

        $params = array(
            'P_CDFILIAL' => $filial,
            'P_NRORG' => $nrorg,
            'P_CDALMOXARIFE' => $almox,
            'P_CDLOCALESTOQ' => $local,
            'P_STATUS_N' => self::P_STATUS_N,
            'P_CURVA' => $idCurva,
            'P_STATUS_T' => self::P_STATUS_T,
        );

        $result = $this->getEntityManager()->getConnection()->fetchAll($sql, $params);
        return count($result);
    }


}